Package com.sap.ai.sdk.core.model

# Class RTAModelVersion

java.lang.Object
com.sap.ai.sdk.core.model.RTAModelVersion

public class RTAModelVersion extends Object
Model version information including whether it is latest version, its deprecation status and retirement date

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RTAModelVersion.Builder`
  Builder helper class.
  `static interface`
  `RTAModelVersion.Builder1`
  Builder helper class.
  `static interface`
  `RTAModelVersion.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RTAModelVersion()`
  Default constructor for RTAModelVersion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RTAModelVersion`
  `addCapabilitiesItem(String capabilitiesItem)`
  Add one capabilities instance to this `RTAModelVersion`.
  `RTAModelVersion`
  `addCostItem(Map<String,String> costItem)`
  Add one cost instance to this `RTAModelVersion`.
  `RTAModelVersion`
  `addInputTypesItem(String inputTypesItem)`
  Add one inputTypes instance to this `RTAModelVersion`.
  `RTAModelVersion`
  `addMetadataItem(Map<String,String> metadataItem)`
  Add one metadata instance to this `RTAModelVersion`.
  `RTAModelVersion`
  `addOrchestrationCapabilitiesItem(String orchestrationCapabilitiesItem)`
  Add one orchestrationCapabilities instance to this `RTAModelVersion`.
  `RTAModelVersion`
  `addSuggestedReplacementsItem(String suggestedReplacementsItem)`
  Add one suggestedReplacements instance to this `RTAModelVersion`.
  `RTAModelVersion`
  `capabilities(List<String> capabilities)`
  Set the capabilities of this `RTAModelVersion` instance and return the same instance.
  `RTAModelVersion`
  `contextLength(Integer contextLength)`
  Set the contextLength of this `RTAModelVersion` instance and return the same instance.
  `RTAModelVersion`
  `cost(List<Map<String,String>> cost)`
  Set the cost of this `RTAModelVersion` instance and return the same instance.
  `static RTAModelVersion.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RTAModelVersion` instance with all required arguments.
  `RTAModelVersion`
  `deprecated(Boolean deprecated)`
  Set the deprecated of this `RTAModelVersion` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getCapabilities()`
  List of capabilities supported by the model
  `Integer`
  `getContextLength()`
  Context length of the model
  `List<Map<String,String>>`
  `getCost()`
  List of costs associated with the model
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RTAModelVersion`.
  `List<String>`
  `getInputTypes()`
  List of input types supported by the model
  `List<Map<String,String>>`
  `getMetadata()`
  List of metadata supported by the model
  `String`
  `getName()`
  Name of model version
  `List<String>`
  `getOrchestrationCapabilities()`
  List of model capabilities supported by orchestration service
  `String`
  `getRetirementDate()`
  Retirement date of model in ISO 8601 timestamp
  `List<String>`
  `getSuggestedReplacements()`
  List of suggested replacements for the model
  `int`
  `hashCode()`
  `RTAModelVersion`
  `inputTypes(List<String> inputTypes)`
  Set the inputTypes of this `RTAModelVersion` instance and return the same instance.
  `Boolean`
  `isDeprecated()`
  Deprecation status of model
  `Boolean`
  `isIsLatest()`
  Displays whether it is the latest version offered for the model
  `RTAModelVersion`
  `isLatest(Boolean isLatest)`
  Set the isLatest of this `RTAModelVersion` instance and return the same instance.
  `Boolean`
  `isStreamingSupported()`
  Streaming support status of the model
  `RTAModelVersion`
  `metadata(List<Map<String,String>> metadata)`
  Set the metadata of this `RTAModelVersion` instance and return the same instance.
  `RTAModelVersion`
  `name(String name)`
  Set the name of this `RTAModelVersion` instance and return the same instance.
  `RTAModelVersion`
  `orchestrationCapabilities(List<String> orchestrationCapabilities)`
  Set the orchestrationCapabilities of this `RTAModelVersion` instance and return the same instance.
  `RTAModelVersion`
  `retirementDate(String retirementDate)`
  Set the retirementDate of this `RTAModelVersion` instance and return the same instance.
  `void`
  `setCapabilities(List<String> capabilities)`
  Set the capabilities of this `RTAModelVersion` instance.
  `void`
  `setContextLength(Integer contextLength)`
  Set the contextLength of this `RTAModelVersion` instance.
  `void`
  `setCost(List<Map<String,String>> cost)`
  Set the cost of this `RTAModelVersion` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RTAModelVersion` instance.
  `void`
  `setDeprecated(Boolean deprecated)`
  Set the deprecated of this `RTAModelVersion` instance.
  `void`
  `setInputTypes(List<String> inputTypes)`
  Set the inputTypes of this `RTAModelVersion` instance.
  `void`
  `setIsLatest(Boolean isLatest)`
  Set the isLatest of this `RTAModelVersion` instance.
  `void`
  `setMetadata(List<Map<String,String>> metadata)`
  Set the metadata of this `RTAModelVersion` instance.
  `void`
  `setName(String name)`
  Set the name of this `RTAModelVersion` instance.
  `void`
  `setOrchestrationCapabilities(List<String> orchestrationCapabilities)`
  Set the orchestrationCapabilities of this `RTAModelVersion` instance.
  `void`
  `setRetirementDate(String retirementDate)`
  Set the retirementDate of this `RTAModelVersion` instance.
  `void`
  `setStreamingSupported(Boolean streamingSupported)`
  Set the streamingSupported of this `RTAModelVersion` instance.
  `void`
  `setSuggestedReplacements(List<String> suggestedReplacements)`
  Set the suggestedReplacements of this `RTAModelVersion` instance.
  `RTAModelVersion`
  `streamingSupported(Boolean streamingSupported)`
  Set the streamingSupported of this `RTAModelVersion` instance and return the same instance.
  `RTAModelVersion`
  `suggestedReplacements(List<String> suggestedReplacements)`
  Set the suggestedReplacements of this `RTAModelVersion` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RTAModelVersion` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RTAModelVersion

    protected RTAModelVersion()
    Default constructor for RTAModelVersion.

- ## Method Details

  - ### name

    @Nonnull public RTAModelVersion name(@Nonnull String name)
    Set the name of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `name` - Name of model version
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### getName

    @Nonnull public String getName()
    Name of model version
    Returns:
      name The name of this `RTAModelVersion` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `RTAModelVersion` instance.
    Parameters:
      `name` - Name of model version

  - ### isLatest

    @Nonnull public RTAModelVersion isLatest(@Nonnull Boolean isLatest)
    Set the isLatest of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `isLatest` - Displays whether it is the latest version offered for the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### isIsLatest

    @Nonnull public Boolean isIsLatest()
    Displays whether it is the latest version offered for the model
    Returns:
      isLatest The isLatest of this `RTAModelVersion` instance.

  - ### setIsLatest

    public void setIsLatest(@Nonnull Boolean isLatest)
    Set the isLatest of this `RTAModelVersion` instance.
    Parameters:
      `isLatest` - Displays whether it is the latest version offered for the model

  - ### deprecated

    @Nonnull public RTAModelVersion deprecated(@Nonnull Boolean deprecated)
    Set the deprecated of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `deprecated` - Deprecation status of model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### isDeprecated

    @Nonnull public Boolean isDeprecated()
    Deprecation status of model
    Returns:
      deprecated The deprecated of this `RTAModelVersion` instance.

  - ### setDeprecated

    public void setDeprecated(@Nonnull Boolean deprecated)
    Set the deprecated of this `RTAModelVersion` instance.
    Parameters:
      `deprecated` - Deprecation status of model

  - ### retirementDate

    @Nonnull public RTAModelVersion retirementDate(@Nullable String retirementDate)
    Set the retirementDate of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `retirementDate` - Retirement date of model in ISO 8601 timestamp
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### getRetirementDate

    @Nonnull public String getRetirementDate()
    Retirement date of model in ISO 8601 timestamp
    Returns:
      retirementDate The retirementDate of this `RTAModelVersion` instance.

  - ### setRetirementDate

    public void setRetirementDate(@Nullable String retirementDate)
    Set the retirementDate of this `RTAModelVersion` instance.
    Parameters:
      `retirementDate` - Retirement date of model in ISO 8601 timestamp

  - ### contextLength

    @Nonnull public RTAModelVersion contextLength(@Nullable Integer contextLength)
    Set the contextLength of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `contextLength` - Context length of the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### getContextLength

    @Nonnull public Integer getContextLength()
    Context length of the model
    Returns:
      contextLength The contextLength of this `RTAModelVersion` instance.

  - ### setContextLength

    public void setContextLength(@Nullable Integer contextLength)
    Set the contextLength of this `RTAModelVersion` instance.
    Parameters:
      `contextLength` - Context length of the model

  - ### inputTypes

    @Nonnull public RTAModelVersion inputTypes(@Nullable List<String> inputTypes)
    Set the inputTypes of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `inputTypes` - List of input types supported by the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### addInputTypesItem

    @Nonnull public RTAModelVersion addInputTypesItem(@Nonnull String inputTypesItem)
    Add one inputTypes instance to this `RTAModelVersion`.
    Parameters:
      `inputTypesItem` - The inputTypes that should be added
    Returns:
      The same instance of type `RTAModelVersion`

  - ### getInputTypes

    @Nonnull public List<String> getInputTypes()
    List of input types supported by the model
    Returns:
      inputTypes The inputTypes of this `RTAModelVersion` instance.

  - ### setInputTypes

    public void setInputTypes(@Nullable List<String> inputTypes)
    Set the inputTypes of this `RTAModelVersion` instance.
    Parameters:
      `inputTypes` - List of input types supported by the model

  - ### capabilities

    @Nonnull public RTAModelVersion capabilities(@Nullable List<String> capabilities)
    Set the capabilities of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `capabilities` - List of capabilities supported by the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### addCapabilitiesItem

    @Nonnull public RTAModelVersion addCapabilitiesItem(@Nonnull String capabilitiesItem)
    Add one capabilities instance to this `RTAModelVersion`.
    Parameters:
      `capabilitiesItem` - The capabilities that should be added
    Returns:
      The same instance of type `RTAModelVersion`

  - ### getCapabilities

    @Nonnull public List<String> getCapabilities()
    List of capabilities supported by the model
    Returns:
      capabilities The capabilities of this `RTAModelVersion` instance.

  - ### setCapabilities

    public void setCapabilities(@Nullable List<String> capabilities)
    Set the capabilities of this `RTAModelVersion` instance.
    Parameters:
      `capabilities` - List of capabilities supported by the model

  - ### metadata

    @Nonnull public RTAModelVersion metadata(@Nullable List<Map<String,String>> metadata)
    Set the metadata of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `metadata` - List of metadata supported by the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### addMetadataItem

    @Nonnull public RTAModelVersion addMetadataItem(@Nonnull Map<String,String> metadataItem)
    Add one metadata instance to this `RTAModelVersion`.
    Parameters:
      `metadataItem` - The metadata that should be added
    Returns:
      The same instance of type `RTAModelVersion`

  - ### getMetadata

    @Nonnull public List<Map<String,String>> getMetadata()
    List of metadata supported by the model
    Returns:
      metadata The metadata of this `RTAModelVersion` instance.

  - ### setMetadata

    public void setMetadata(@Nullable List<Map<String,String>> metadata)
    Set the metadata of this `RTAModelVersion` instance.
    Parameters:
      `metadata` - List of metadata supported by the model

  - ### cost

    @Nonnull public RTAModelVersion cost(@Nullable List<Map<String,String>> cost)
    Set the cost of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `cost` - List of costs associated with the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### addCostItem

    @Nonnull public RTAModelVersion addCostItem(@Nonnull Map<String,String> costItem)
    Add one cost instance to this `RTAModelVersion`.
    Parameters:
      `costItem` - The cost that should be added
    Returns:
      The same instance of type `RTAModelVersion`

  - ### getCost

    @Nonnull public List<Map<String,String>> getCost()
    List of costs associated with the model
    Returns:
      cost The cost of this `RTAModelVersion` instance.

  - ### setCost

    public void setCost(@Nullable List<Map<String,String>> cost)
    Set the cost of this `RTAModelVersion` instance.
    Parameters:
      `cost` - List of costs associated with the model

  - ### suggestedReplacements

    @Nonnull public RTAModelVersion suggestedReplacements(@Nullable List<String> suggestedReplacements)
    Set the suggestedReplacements of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `suggestedReplacements` - List of suggested replacements for the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### addSuggestedReplacementsItem

    @Nonnull public RTAModelVersion addSuggestedReplacementsItem(@Nonnull String suggestedReplacementsItem)
    Add one suggestedReplacements instance to this `RTAModelVersion`.
    Parameters:
      `suggestedReplacementsItem` - The suggestedReplacements that should be added
    Returns:
      The same instance of type `RTAModelVersion`

  - ### getSuggestedReplacements

    @Nonnull public List<String> getSuggestedReplacements()
    List of suggested replacements for the model
    Returns:
      suggestedReplacements The suggestedReplacements of this `RTAModelVersion` instance.

  - ### setSuggestedReplacements

    public void setSuggestedReplacements(@Nullable List<String> suggestedReplacements)
    Set the suggestedReplacements of this `RTAModelVersion` instance.
    Parameters:
      `suggestedReplacements` - List of suggested replacements for the model

  - ### streamingSupported

    @Nonnull public RTAModelVersion streamingSupported(@Nullable Boolean streamingSupported)
    Set the streamingSupported of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `streamingSupported` - Streaming support status of the model
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### isStreamingSupported

    @Nonnull public Boolean isStreamingSupported()
    Streaming support status of the model
    Returns:
      streamingSupported The streamingSupported of this `RTAModelVersion` instance.

  - ### setStreamingSupported

    public void setStreamingSupported(@Nullable Boolean streamingSupported)
    Set the streamingSupported of this `RTAModelVersion` instance.
    Parameters:
      `streamingSupported` - Streaming support status of the model

  - ### orchestrationCapabilities

    @Nonnull public RTAModelVersion orchestrationCapabilities(@Nullable List<String> orchestrationCapabilities)
    Set the orchestrationCapabilities of this `RTAModelVersion` instance and return the same instance.
    Parameters:
      `orchestrationCapabilities` - List of model capabilities supported by orchestration service
    Returns:
      The same instance of this `RTAModelVersion` class

  - ### addOrchestrationCapabilitiesItem

    @Nonnull public RTAModelVersion addOrchestrationCapabilitiesItem(@Nonnull String orchestrationCapabilitiesItem)
    Add one orchestrationCapabilities instance to this `RTAModelVersion`.
    Parameters:
      `orchestrationCapabilitiesItem` - The orchestrationCapabilities that should be added
    Returns:
      The same instance of type `RTAModelVersion`

  - ### getOrchestrationCapabilities

    @Nonnull public List<String> getOrchestrationCapabilities()
    List of model capabilities supported by orchestration service
    Returns:
      orchestrationCapabilities The orchestrationCapabilities of this `RTAModelVersion` instance.

  - ### setOrchestrationCapabilities

    public void setOrchestrationCapabilities(@Nullable List<String> orchestrationCapabilities)
    Set the orchestrationCapabilities of this `RTAModelVersion` instance.
    Parameters:
      `orchestrationCapabilities` - List of model capabilities supported by orchestration service

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RTAModelVersion`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RTAModelVersion` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RTAModelVersion` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RTAModelVersion` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RTAModelVersion.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RTAModelVersion` instance with all required arguments.